1 Reply Latest reply: Dec 26, 2012 7:04 AM by QuickTimeKirk
PanoStroumpi Level 1 Level 1

I have installed Mac Snow leopard (6.3)& still have Safari 4.0.4.  How can I update to the latest suitable version of Safari ?


iMac, Mac OS X (10.6.3)